> For the complete documentation index, see [llms.txt](https://docs.zumrails.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zumrails.com/api-reference.md).

# API Reference

- [Overview](https://docs.zumrails.com/api-reference/overview.md)
- [Authentication](https://docs.zumrails.com/api-reference/authentication.md)
- [Users](https://docs.zumrails.com/api-reference/users.md)
- [Cards](https://docs.zumrails.com/api-reference/cards.md)
- [Transactions](https://docs.zumrails.com/api-reference/transactions.md)
- [Funding Source](https://docs.zumrails.com/api-reference/funding-source.md)
- [Products](https://docs.zumrails.com/api-reference/products.md)
- [Product Prices](https://docs.zumrails.com/api-reference/product-prices.md)
- [Invoices](https://docs.zumrails.com/api-reference/invoices.md)
- [Subscriptions](https://docs.zumrails.com/api-reference/subscriptions.md)
- [Aggregation](https://docs.zumrails.com/api-reference/aggregation.md)
- [Insights](https://docs.zumrails.com/api-reference/insights.md): Follow this documentation to see what are the endpoints you can call to get all about Insights.
- [Wallets](https://docs.zumrails.com/api-reference/wallets.md)
- [Wallet to Wallet Transfer](https://docs.zumrails.com/api-reference/wallet-to-wallet-transfer.md)
- [Credit Trade Reports](https://docs.zumrails.com/api-reference/credit-trade-reports.md): Credit Trade Reports are sent to the credit bureau's monthly.
- [Operations](https://docs.zumrails.com/api-reference/operations.md)
- [Transaction Limits](https://docs.zumrails.com/api-reference/operations/transaction-limits.md)
- [Review Transactions](https://docs.zumrails.com/api-reference/operations/review-transactions.md)
- [Daily Auto-Withdrawal Summary](https://docs.zumrails.com/api-reference/operations/daily-auto-withdrawal-summary.md)
- [Webhooks](https://docs.zumrails.com/api-reference/webhooks.md)
- [Errors](https://docs.zumrails.com/api-reference/errors.md)
- [Idempotency](https://docs.zumrails.com/api-reference/idempotency.md)
- [Country & Region Codes](https://docs.zumrails.com/api-reference/country-and-region-codes.md)
- [Encryption](https://docs.zumrails.com/api-reference/encryption.md): To protect sensitive data, our API support certain fields to be encrypted before transmission. This page explains how to encrypt data using RSA 2048-bit with OAEP padding and SHA-256.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zumrails.com/api-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
